{stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2021-06-18";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = version;
    sha256 = "0b91r7bl3abg3mb7vg4qnk319jy7civ583la0054xhpg0c0svyk1";
  };

  installPhase = ''
    mkdir -p $out/bin
    cp --recursive ./* $out/bin
    cp ./.searchsploit_rc $out/bin
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess ];
  };
}
